# Preview

<img src="https://steamuserimages-a.akamaihd.net/ugc/2070007462270550881/FDA4B01D701AF8B2AA5878668870FDB9F06103D9/" alt="Preview" title="Preview" width="350" />

# Features

- Add color to the map screen and teammate HUD based on available resource amounts
- Colors and resource thresholds are fully customizable
- Add missing details such as "sentrygun DEPLOYED" on the teammate HUD

# Example: Map screen
<img src="https://steamuserimages-a.akamaihd.net/ugc/2070007462270552891/EFD87AFEE797D4B46EC4BB17F521E8832B0C381C/" alt="Map screen" title="Map screen" />

# Compatability

## [ColorGradingHUDInfo](https://gtfo.thunderstore.io/package/easternunit100/ColorGradingHUDInfo/)
This plugin was conceived as an extension of CGHI and as such has some overlap in features. There is code in place to ensure some compatability with the current version of CGHI (0.0.4).
### Features:
- Use ColorEquipment with the CGHI teammate HUD as an override (optional)
- All other CGHI Features remain functional as normal

### Extra Synergy:
- Allows ColorEquipment teammate HUD to use CGHI dynamic teammate HUD scaling (optional)

# Configuration HowTo

Color values are HTML color codes in the format #RRGGBB (no alpha).

Color thresholds are floating point values between 0.0 and 1.0, representing 0% and 100% respectively.

The color scaler follows these three rules:
1. If the resource amount is greater than the Low threshold; use the game default color.
2. If the resource amount is lower than the Low threshold but greater than the Critical threshold; use the Low color.
3. If the resource amount is lower than the Critical threshold; blend the color between the Low color and the Critical color.
<img src="https://steamuserimages-a.akamaihd.net/ugc/2070007462270841068/DD2657E0CC8C4953EBC8B16A7AFB5F1471D03E06/" alt="Tricolor" title="Tricolor" width="928" />

### Example: Two color scaling across the entire range (green -> red)
>Normally any resource amount that is above the Low threshold will not result in a change of color. In order to always have a color the Low threshold should be set to 1.
>We only want to use two colors, so also set the Critical threshold to 1. Now when the value is at 100% we effectively use the Low color, when the value is 0% we use the Critical color.

Set all thresholds to 1; this will allow us to scale directly from the Low color to the Critically low color.
```
[Thresholds]
Resource Low = 1
Resource Critical = 1
Health Low = 1
Health Critical = 1
```

Set the Low to the desired color when a resource is at 100%.
Set the Critical to the desired color when a resource is at 0%.
```
[Colors]
Low = #00FF00
Critical = #FF0000
```

The color will now blend between the two values, as shown in this figure:

<img src="https://steamuserimages-a.akamaihd.net/ugc/2070007462270841842/216F2D29EC6C875418860DBBBB55020B66B8DB14/" alt="Duocolor" title="Duocolor" width="928" />

# Contact
> [Discord: Talcazzar#4931](https://discordapp.com/users/91730957463199744)